Package: groovy.org.codenarc.rule.concurrency

## [Groovy] Class WaitOutsideOfWhileLoopRule

- groovy.org.codenarc.rule.concurrency.WaitOutsideOfWhileLoopRule

- Checks for calls to wait() that are not within a while loop. See Joshua Bloch's Effective Java: chapter 50 (1st edition) is entitled "Never invoke wait outside a loop." See https://www.securecoding.cert.org/confluence/display/java/THI03-J.+Always+invoke+wait()+and+await()+methods+inside+a+loop

  Authors:
    Chris Mair

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority